# Roadmap

_дорожная карта развития проекта_

Стратегия — цифровая независимость

## v0
- [x] Разворачивание сервера с мобильного телфона
- [x] Автоматическое резервное копирование
- [x] Автоматическое обновление
- [x] Включение и выключение сервисов
- [x] SSH-доступ для опытных пользователей
- [ ] <система поддержки контрибьюторов>

## v1
- [ ] Автоматическое разворачивание из резервной копии
- [ ] Автоматическое расширение диска
- [ ] Автоматическое добавление памяти
- [ ] Шифрование диска
- [ ] Автоматический откат неудачных апдейтов
- [ ] Биометрическая аутентификация
- [ ] Запуск на Apple Store и Google Play
- [ ] <можно удалять gmail>
- [ ] <коллаборативные сервисы DNS-slave, p2p backup>
- [ ] <система поддержки>

## v2
- [ ] Установка сервисов по-запросу
- [ ] Поддержка не только облачного сервера, но и hardware (предположительно Rpi4)
- [ ] Управление несколькими серверами из одного мобильного приложения
- [ ] Формирование интерфейса сервиса на стороне бэкенда (json)
- [ ] Рефакторинг UI/UX
- [ ] Обезличевание дебаг-лога для помощи пользователям без раскрытыия конфиденцильных данных
- [ ] <понятная система хранения ключей>
- [ ] <можно в энтерпрайз>

## v3
- [ ] Кластер (микро-хостинг)
- [ ] Приватный смартфон (PinePhone)
- [ ] Приватный десктоп

# Векторы развития в порядке убывания приоритета
- [Конфиденциальность](./privacy.md)
- [Безопасность](./security.md)
- [Доступность (UI/UX)](./accessibility.md)
- [Функциональность](./services.md)
- [Автономность](./autonomy.md)
- [Анонимность](./anon.md)
- [Маркетинг](./marketing.md)